# Uses of Interface
org.eclipse.birt.chart.model.data.SampleData

Packages that use SampleData
Package
Description
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.

## Uses of SampleData in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return SampleData
Modifier and Type
Method
Description
`SampleData`
Chart.`getSampleData()`
Returns the value of the 'Sample Data' containment reference.
Methods in org.eclipse.birt.chart.model with parameters of type SampleData
Modifier and Type
Method
Description
`void`
Chart.`setSampleData(SampleData value)`
Sets the value of the '`Sample Data`' containment reference.

## Uses of SampleData in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return SampleData
Modifier and Type
Method
Description
`SampleData`
SampleData.`copyInstance()`
`SampleData`
DataFactory.`createSampleData()`
Returns a new object of class 'Sample Data'.

## Uses of SampleData in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement SampleData
Modifier and Type
Class
Description
`class`
`SampleDataImpl`
An implementation of the model object 'Sample Data'.
Methods in org.eclipse.birt.chart.model.data.impl that return SampleData
Modifier and Type
Method
Description
`SampleData`
SampleDataImpl.`copyInstance()`
`SampleData`
DataFactoryImpl.`createSampleData()`

## Uses of SampleData in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return SampleData
Modifier and Type
Method
Description
`SampleData`
ChartImpl.`getSampleData()`
Methods in org.eclipse.birt.chart.model.impl with parameters of type SampleData
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
ChartImpl.`basicSetSampleData(SampleData newSampleData, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
ChartImpl.`setSampleData(SampleData newSampleData)`